Bug 1328051 - python-saharaclient: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-saharaclient: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-saharaclient
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-04-18 10:12 UTC by Tomas Orsava
Modified: 2016-07-08 16:12 UTC (History)
6 users (show)

Fixed In Version: python-saharaclient-0.14.0-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-08 16:12:37 UTC
torsava: needinfo? (apevec)


Attachments (Terms of Use)
patch for python 3 support (4.75 KB, patch)
2016-05-31 15:27 UTC, Charalampos Stratakis
no flags Details | Diff

Description Tomas Orsava 2016-04-18 10:12:42 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Charalampos Stratakis 2016-05-31 15:27:15 UTC
Created attachment 1163285 [details]
patch for python 3 support

Comment 2 Charalampos Stratakis 2016-05-31 15:29:17 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14331232

Comment 3 Tomas Orsava 2016-06-02 09:53:52 UTC
Hi Charalampos!
The patch looks very good!

Coul you try installing and using the tool in Mock so we can be sure all is well?

Comment 4 Tomas Orsava 2016-06-02 09:54:45 UTC
Hi Alan!
as this is a bit of a time sensitive issue, we would really appreciate if you could take a look at the patch as soon as possible.
If you are time constrained right now, I hope you won't mind if we do the review and push the changes ourselves in case you won't respond.

Thank you!

Comment 5 Charalampos Stratakis 2016-06-08 10:07:09 UTC
Also tested in mock. Binaries are provided in both packages (sahara, sahara-2 or sahara-2.7 for Python 2 and sahara-3 or sahara-3.5 for Python 3).


Note You need to log in before you can comment on or make changes to this bug.